<?php 
class ScheduleSettingsSchema extends CakeSchema {

	public $file = 'schedule_settings.php';

	public $connection = 'plugin';

	public function before($event = array()) {
		return true;
	}

	public function after($event = array()) {
	}

	public $schedule_settings = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => null, 'unsigned' => false, 'key' => 'primary'),
		'image01' => array('type' => 'integer', 'null' => false, 'default' => null, 'unsigned' => false),
		'image02' => array('type' => 'integer', 'null' => false, 'default' => null, 'unsigned' => false),
		'image03' => array('type' => 'integer', 'null' => false, 'default' => null, 'unsigned' => false),
		'image04' => array('type' => 'integer', 'null' => false, 'default' => null, 'unsigned' => false),
		'map' => array('type' => 'integer', 'null' => false, 'default' => null, 'unsigned' => false),
		'editor_type' => array('type' => 'string', 'null' => false, 'default' => null, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'created' => array('type' => 'datetime', 'null' => false, 'default' => null),
		'modified' => array('type' => 'datetime', 'null' => false, 'default' => null),
		'max_width' => array('type' => 'integer', 'null' => false, 'default' => null, 'unsigned' => false),
		'max_height' => array('type' => 'integer', 'null' => false, 'default' => null, 'unsigned' => false),
		'indexes' => array(
			'PRIMARY' => array('column' => 'id', 'unique' => 1)
		),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
	);

}
