<?php
/*
* スケジュールプラグイン
* 0.9.1 アップデートスクリプト
*
* PHP 5.4.x
*
* @copyright    Copyright (c) hiniarata co.ltd
* @link         https://hiniarata.jp
* @package      Schedule Plugin Project
* @since        ver.0.9.1
*/
//キャッシュのクリア
//clearAllCache();
//休日TBLの追加作成
if($this->loadSchema('0.9.1', 'Schedule', 'schedule_holidays', $filterType = 'create')) {
  $this->setUpdateLog('schedule_holidays テーブルの作成に成功しました。');
} else {
  $this->setUpdateLog('schedule_holidays テーブルの作成に失敗しました。', true);
}

//休日基本設定TBLの追加作成
if($this->loadSchema('0.9.1', 'Schedule', 'schedule_holiday_settings', $filterType = 'create')) {
  $this->setUpdateLog('schedule_holiday_settings テーブルの作成に成功しました。');
} else {
  $this->setUpdateLog('schedule_holiday_settings テーブルの作成に失敗しました。', true);
}
