<?php
/*
* スケジュールプラグイン
* 0.9.2 アップデートスクリプト
*
* PHP 5.4.x
*
* @copyright    Copyright (c) hiniarata co.ltd
* @link         https://hiniarata.jp
* @package      Schedule Plugin Project
* @since        ver.0.9.2
*/
//ソート用のフィールドを追加する。
if($this->loadSchema('0.9.2', 'Schedule', 'schedules', $filterType = 'alter')) {
  $this->setUpdateLog('schedules テーブルの変更に成功しました。');
} else {
  $this->setUpdateLog('schedules テーブルの変更に失敗しました。', true);
}

//既存のデータに対し、ソート番号を入れる。
//ソート番号を振らないと、並び替え時にエラーになるため。
App::import('Model', 'Schedule.Schedule');
$scheduleModel = new Schedule();
$scheduleDatas = $scheduleModel->find('all', array('order' => array('Schedule.id' => 'desc')));

//データが１件もない状態であれば、ここで処理終了
if (!empty($scheduleDatas)) {
  $insertDatas = array();
  for($i=0; $i < count($scheduleDatas); $i++){
    $sort = $i+1;
    $insertDatas['Schedule'][$i] = $scheduleDatas[$i]['Schedule'];
    $insertDatas['Schedule'][$i]['sort'] = $sort;
  }
  //保存する。
  if($scheduleModel->saveAll($insertDatas['Schedule'])) {
    $this->setUpdateLog('schedules テーブルの更新に成功しました。');
  } else {
    $this->setUpdateLog('schedules テーブルの更新に失敗しました。', true);
  }
}
