<?php
/*
* スケジュールプラグイン
* 休日管理モデル
*
* PHP 5.4.x
*
* @copyright    Copyright (c) hiniarata co.ltd
* @link         https://hiniarata.jp
* @package      Schedule Plugin Project
* @since        ver.0.9.1
*/

/**
* Include files
*/
App::uses('ScheduleApp', 'Schedule.Model');

/**
* カテゴリモデル
*
* @package baser.plugins.schedule
*/
class ScheduleHoliday extends ScheduleApp {
  /**
  * クラス名
  *
  * @var string
  * @access public
  */
  public $name = 'ScheduleHoliday';

  /**
  * プラグイン名
  *
  * @var string
  * @access public
  */
  public $plugin = 'Schedule';

  /**
  * DB接続時の設定
  *
  * @var string
  * @access public
  */
  public $useDbConfig = 'plugin';


}
