<?php $this->BcBaser->css('admin/ckeditor/editor', array('inline' => true)); ?>

<?php if ($this->request->action == 'admin_edit'): ?>
	<div class="em-box align-left">
		<?php if ($this->BcForm->value('Schedule.publish')): ?>
			このスケジュールのURL　：<?php
			$this->BcBaser->link(
				$this->BcBaser->getUri(array('admin' => false, 'plugin' => 'schedule', 'controller' => 'schedules', 'action' => 'view', $this->BcForm->value('Schedule.id'))), array('admin' => false, 'plugin' => 'schedule', 'controller' => 'schedules', 'action' => 'view', $this->BcForm->value('Schedule.id')))
			?>
		<?php else: ?>
			このスケジュールのURL　：<?php echo $this->BcBaser->getUri(array('admin' => false, 'plugin' => 'schedule', 'controller' => 'schedules', 'action' => 'view', $this->BcForm->value('Schedule.id'))) ?>
		<?php endif ?>
	</div>
<?php endif ?>

<!-- form -->
<?php echo $this->BcForm->create('Schedule', array('enctype' => 'multipart/form-data')) ?>
<div class="section">
  <table cellpadding="0" cellspacing="0" id="FormTable" class="form-table">
    <?php if ($this->action == 'admin_edit'): ?>
      <tr>
        <th class="col-head"><?php echo $this->BcForm->label('Schedule.id', 'NO') ?></th>
        <td class="col-input">
          <?php echo $this->BcForm->value('Schedule.id') ?>
          <?php echo $this->BcForm->input('Schedule.id', array('type' => 'hidden')) ?>
        </td>
      </tr>
    <?php endif; ?>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Schedule.schedule_category_id', 'カテゴリ') ?></th>
      <td class="col-input">
        <?php echo $this->BcForm->input('Schedule.schedule_category_id', array(
          'type' => 'select',
          'empty' => '未選択',
          'options' => $categories
        )) ?>
        <?php echo $this->BcForm->error('Schedule.schedule_category_id') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>カテゴリを選択してください。</li>
            <li>カテゴリに含めないで「未選択」のまま登録することも可能です。</li>
          </ul>
        </div>
      </td>
    </tr>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Schedule.title', 'タイトル') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php echo $this->BcForm->input('Schedule.title', array('type' => 'text', 'size' => 40, 'maxlength' => 255)) ?>
        <?php echo $this->BcForm->error('Schedule.title') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>タイトルを入力してください。</li>
          </ul>
        </div>
      </td>
    </tr>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Schedule.text', '本文') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php
        if ($setting['ScheduleSetting']['editor_type'] == 'textarea') {
          echo $this->BcForm->textarea('Schedule.text',array('rows' => '10', 'cols' => '5'));
        } else {
          echo $this->BcForm->editor('Schedule.text', array_merge(array(
            'editor' => @$siteConfig['editor'],
            'editorUseDraft' => false,
            'editorDraftField' => 'text_draft',
            'editorWidth' => 'auto',
            'editorHeight' => '480px',
            'editorEnterBr' => @$siteConfig['editor_enter_br']
          ), $editorOptions));
        }
        ?>
        <?php echo $this->BcForm->error('Schedule.text') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>本文を入力してください。</li>
          </ul>
        </div>
      </td>
    </tr>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Schedule.date', '期間') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php echo $this->BcForm->dateTimePicker('Schedule.begin_date', array('size' => 12, 'maxlength' => 10), true) ?>
				&nbsp;〜&nbsp;
				<?php echo $this->BcForm->dateTimePicker('Schedule.end_date', array('size' => 12, 'maxlength' => 10), true) ?>
				<?php echo $this->BcForm->error('Schedule.begin_date') ?>
				<?php echo $this->BcForm->error('Schedule.end_date') ?><br />
      </td>
    </tr>
  </table>

  <table cellpadding="0" cellspacing="0" id="FormTable" class="form-table">
  <?php if ($setting['ScheduleSetting']['image01'] == 0) : ?>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Schedule.image_1', '画像１') ?></th>
      <td class="col-input">
        <?php if ($this->request->action == 'admin_edit' && !empty($schedule['Schedule']['image_1'])): ?>
          <?php $this->BcBaser->img($imgPath.$schedule['Schedule']['image_1'], array('width' => '150px')) ?>
          <br />
          <?php echo $this->BcForm->input('Schedule.del_image_1', array('type' => 'checkbox', 'label' => 'この画像を削除する')) ?>
          <br />
        <?php endif; ?>
        <?php echo $this->BcForm->input('Schedule.image_1', array('type' => 'file')) ?>
        <?php echo $this->BcForm->error('Schedule.image_1') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>画像を登録できます。</li>
            <li>画像サイズは「利用設定」での設定内容によります。デフォルト値は500px×500pxです。</li>
          </ul>
        </div>
      </td>
    </tr>
    <?php endif; ?>

    <?php if ($setting['ScheduleSetting']['image02'] == 0) : ?>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Schedule.image_2', '画像２') ?></th>
      <td class="col-input">
        <?php if ($this->request->action == 'admin_edit' && !empty($schedule['Schedule']['image_2'])): ?>
          <?php $this->BcBaser->img($imgPath.$schedule['Schedule']['image_2'], array('width' => '150px')) ?>
          <br />
          <?php echo $this->BcForm->input('Schedule.del_image_2', array('type' => 'checkbox', 'label' => 'この画像を削除する')) ?>
          <br />
        <?php endif; ?>
        <?php echo $this->BcForm->input('Schedule.image_2', array('type' => 'file')) ?>
        <?php echo $this->BcForm->error('Schedule.image_2') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>画像を登録できます。</li>
            <li>画像サイズは「利用設定」での設定内容によります。デフォルト値は500px×500pxです。</li>
          </ul>
        </div>
      </td>
    </tr>
    <?php endif; ?>

    <?php if ($setting['ScheduleSetting']['image03'] == 0) : ?>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Schedule.image_3', '画像３') ?></th>
      <td class="col-input">
        <?php if ($this->request->action == 'admin_edit' && !empty($schedule['Schedule']['image_3'])): ?>
          <?php $this->BcBaser->img($imgPath.$schedule['Schedule']['image_3'], array('width' => '150px')) ?>
          <br />
          <?php echo $this->BcForm->input('Schedule.del_image_3', array('type' => 'checkbox', 'label' => 'この画像を削除する')) ?>
          <br />
        <?php endif; ?>
        <?php echo $this->BcForm->input('Schedule.image_3', array('type' => 'file')) ?>
        <?php echo $this->BcForm->error('Schedule.image_3') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>画像を登録できます。</li>
            <li>画像サイズは「利用設定」での設定内容によります。デフォルト値は500px×500pxです。</li>
          </ul>
        </div>
      </td>
    </tr>
    <?php endif; ?>

    <?php if ($setting['ScheduleSetting']['image04'] == 0) : ?>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Schedule.image_4', '画像４') ?></th>
      <td class="col-input">
        <?php if ($this->request->action == 'admin_edit' && !empty($schedule['Schedule']['image_4'])): ?>
          <?php $this->BcBaser->img($imgPath.$schedule['Schedule']['image_4'], array('width' => '150px')) ?>
          <br />
          <?php echo $this->BcForm->input('Schedule.del_image_4', array('type' => 'checkbox', 'label' => 'この画像を削除する')) ?>
          <br />
        <?php endif; ?>
        <?php echo $this->BcForm->input('Schedule.image_4', array('type' => 'file')) ?>
        <?php echo $this->BcForm->error('Schedule.image_4') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>画像を登録できます。</li>
            <li>画像サイズは「利用設定」での設定内容によります。デフォルト値は500px×500pxです。</li>
          </ul>
        </div>
      </td>
    </tr>
  <?php endif; ?>
  </table>

  <?php if ($setting['ScheduleSetting']['map'] == 0) : ?>
  <table cellpadding="0" cellspacing="0" id="FormTable" class="form-table">
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Schedule.point', '場所') ?></th>
      <td class="col-input">
				※ドラッグ＆ドロップでマーカーを開催場所に移動させてください。
        <div id="map" style="width:480px;height:400px;"></div>
        <?php echo $this->BcForm->input('Schedule.lat', array('type' => 'text', 'size' => 20, 'maxlength' => 255, 'id' => 'latitude')) ?>
        <?php echo $this->BcForm->input('Schedule.lng', array('type' => 'text', 'size' => 20, 'maxlength' => 255, 'id' => 'longitude')) ?>
        <?php
        //緯度経度のデータが入っているかどうかで、処理を分ける。
        //マップ初期値： lat:35.367424858182815  lon:132.75441121630865
        if ($this->request->action != 'admin_edit' || empty($scheduleData['Schedule']['lat']) || empty($scheduleData['Schedule']['lng'])){
          ?>
          <script type="text/javascript">
          var latPosition= 35.367424858182815;
          var lonPosition = 132.75441121630865;
          </script>
          <?php
        } else {
          ?>
          <script type="text/javascript">
          var latPosition= <?php echo $scheduleData['Schedule']['lat'] ?>;
          var lonPosition = <?php echo $scheduleData['Schedule']['lng'] ?>;;
          </script>
          <?php
        }
        ?>
        <?php
        $this->BcBaser->js(array(
          'http://maps.googleapis.com/maps/api/js?key=AIzaSyCF5eh8ne7ggV06LrMl9HsHleE73DRFjdQ&sensor=false',
          'Schedule.google_map'
        ), true);
        ?>
      </td>
    </tr>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Schedule.map', '地図の利用') ?></th>
      <td class="col-input">
        <?php $options = array(0 => '利用しない', 1 => '利用する') ?>
        <?php echo $this->BcForm->input('Schedule.map', array(
          'type' => 'select',
          'options' => $options,
          'selected' => 1,
        )) ?>
        <?php echo $this->BcForm->error('Schedule.map') ?>
      </td>
    </tr>
  </table>
  <?php endif; ?>

  <table cellpadding="0" cellspacing="0" id="FormTable" class="form-table">
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Schedule.publish', '公開設定') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php $options = array(0 => '非公開', 1 => '公開') ?>
        <?php echo $this->BcForm->input('Schedule.publish', array(
          'type' => 'select',
          'options' => $options
        )) ?>
        <?php echo $this->BcForm->error('Schedule.publish') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>このデータを公開するかどうかを設定できます。</li>
          </ul>
        </div>
      </td>
    </tr>
    </table>
  </div>
  <!-- button -->
  <div class="submit">
    <?php echo $this->BcForm->submit('保存', array('div' => false, 'class' => 'button', 'id' => 'BtnSave')) ?>
    <?php if ($this->action == 'admin_edit'): ?>
      <?php
      $this->BcBaser->link('削除', array('action' => 'delete', $this->BcForm->value('Schedule.id')), array('class' => 'button'), sprintf('本当に削除してもいいですか？'), false);
      ?>
    <?php endif ?>
  </div>

  <?php echo $this->BcForm->end() ?>
