<h2 style="margin-top: 40px;">定休日の設定</h2>

<p>
  各週の定休日を設定します。<strong>休みの曜日にチェック</strong>を入れてください。<br>
  （ここで設定された定休曜日は、カレンダー作成の際に休日として反映されます。）
</p>

<div class="section">
  <?php echo $this->BcForm->create('ScheduleHoliday') ?>
  <table cellpadding="0" cellspacing="0" id="FormTable" class="form-table">
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('ScheduleHolidaySetting.week1', '第１週') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php
        $options = array(
          1 => '日　', 2 => '月　', 3 => '火　', 4 => '水　', 5 => '木　', 6 => '金　', 7 => '土　'
        );
        ?>
        <?php echo $this->BcForm->input('ScheduleHolidaySetting.week1', array(
          'type' => 'select',
          'multiple'=> 'checkbox',
          'options' => $options
        )) ?>
				<?php echo $this->BcForm->error('ScheduleHolidaySetting.week1') ?><br />
      </td>
    </tr>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('ScheduleHolidaySetting.week2', '第２週') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php
        $options = array(
          1 => '日　', 2 => '月　', 3 => '火　', 4 => '水　', 5 => '木　', 6 => '金　', 7 => '土　'
        );
        ?>
        <?php echo $this->BcForm->input('ScheduleHolidaySetting.week2', array(
          'type' => 'select',
          'multiple'=> 'checkbox',
          'options' => $options
        )) ?>
				<?php echo $this->BcForm->error('ScheduleHolidaySetting.week2') ?><br />
      </td>
    </tr>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('ScheduleHolidaySetting.week3', '第３週') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php
        $options = array(
          1 => '日　', 2 => '月　', 3 => '火　', 4 => '水　', 5 => '木　', 6 => '金　', 7 => '土　'
        );
        ?>
        <?php echo $this->BcForm->input('ScheduleHolidaySetting.week3', array(
          'type' => 'select',
          'multiple'=> 'checkbox',
          'options' => $options
        )) ?>
				<?php echo $this->BcForm->error('ScheduleHolidaySetting.week3') ?><br />
      </td>
    </tr>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('ScheduleHolidaySetting.week4', '第４週') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php
        $options = array(
          1 => '日　', 2 => '月　', 3 => '火　', 4 => '水　', 5 => '木　', 6 => '金　', 7 => '土　'
        );
        ?>
        <?php echo $this->BcForm->input('ScheduleHolidaySetting.week4', array(
          'type' => 'select',
          'multiple'=> 'checkbox',
          'options' => $options
        )) ?>
				<?php echo $this->BcForm->error('ScheduleHolidaySetting.week4') ?><br />
      </td>
    </tr>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('ScheduleHolidaySetting.week5', '第５週') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php
        $options = array(
          1 => '日　', 2 => '月　', 3 => '火　', 4 => '水　', 5 => '木　', 6 => '金　', 7 => '土　'
        );
        ?>
        <?php echo $this->BcForm->input('ScheduleHolidaySetting.week5', array(
          'type' => 'select',
          'multiple'=> 'checkbox',
          'options' => $options
        )) ?>
				<?php echo $this->BcForm->error('ScheduleHolidaySetting.week5') ?><br />
      </td>
    </tr>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('ScheduleHolidaySetting.week6', '第６週') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php
        $options = array(
          1 => '日　', 2 => '月　', 3 => '火　', 4 => '水　', 5 => '木　', 6 => '金　', 7 => '土　'
        );
        ?>
        <?php echo $this->BcForm->input('ScheduleHolidaySetting.week6', array(
          'type' => 'select',
          'multiple'=> 'checkbox',
          'options' => $options
        )) ?>
				<?php echo $this->BcForm->error('ScheduleHolidaySetting.week6') ?><br />
      </td>
    </tr>
  </table>

  <div class="submit">
    <?php echo $this->BcForm->submit('設定する', array('div' => false, 'class' => 'button', 'id' => 'BtnSave')) ?>
  </div>

<?php echo $this->BcForm->end() ?>
